## ros-lunar-dwa-local-planner 1.15.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dwa_local_planner)

find_package(catkin REQUIRED
        COMPONENTS
            base_local_planner
            cmake_modules
            costmap_2d
            dynamic_reconfigure
            nav_core
            nav_msgs
            pluginlib
            pcl_conversions
            roscpp
            tf
        )

find_package(Eigen3 REQUIRED)
find_package(PCL REQUIRED COMPONENTS common)
remove_definitions(-DDISABLE_LIBUSB-1.0)
include_directories(
    include
    ${catkin_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIRS}
    ${PCL_INCLUDE_DIRS}
    )
add_definitions(${EIGEN3_DEFINITIONS})

# dynamic reconfigure
generate_dynamic_reconfigure_options(
    cfg/DWAPlanner.cfg
)

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES dwa_local_planner
    CATKIN_DEPENDS
        dynamic_reconfigure
        nav_msgs
        pluginlib
        roscpp
)

add_library(dwa_local_planner src/dwa_planner.cpp src/dwa_planner_ros.cpp)
add_dependencies(dwa_local_planner ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(dwa_local_planner ${catkin_LIBRARIES})

install(TARGETS dwa_local_planner
       ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       )

install(FILES blp_plugin.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-lunar-dwa-local-planner (1.15.2-0xenial) xenial; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 22 Mar 2018 07:00:00 -0000

ros-lunar-dwa-local-planner (1.15.1-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 07:00:00 -0000

ros-lunar-dwa-local-planner (1.15.0-0xenial) xenial; urgency=high

  * convert packages to format2
  * Add cost function to prevent unnecessary spinning
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * import only PCL common
  * remove GCC warnings
  * Fix CMake warnings
  * Contributors: Martin Günther, Mikael Arguedas, Morgan Quigley, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 07:00:00 -0000

ros-lunar-dwa-local-planner (1.14.0-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 07:00:00 -0000

ros-lunar-dwa-local-planner (1.13.1-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 07:00:00 -0000

ros-lunar-dwa-local-planner (1.13.0-0xenial) xenial; urgency=high

  * link only libraries found with find_package
  * Contributors: Lukas Bulwahn

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 07:00:00 -0000

ros-lunar-dwa-local-planner (1.12.0-0xenial) xenial; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 08:00:00 -0000

ros-lunar-dwa-local-planner (1.11.15-0xenial) xenial; urgency=high

  * Add ARCHIVE_DESTINATION for static builds
  * Contributors: Gary Servin

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 08:00:00 -0000

ros-lunar-dwa-local-planner (1.11.14-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 08:00:00 -0000

ros-lunar-dwa-local-planner (1.11.13-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 07:00:00 -0000

ros-lunar-dwa-local-planner (1.11.12-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 07:00:00 -0000

ros-lunar-dwa-local-planner (1.11.11-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 07:00:00 -0000

ros-lunar-dwa-local-planner (1.11.10-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jun 2014 07:00:00 -0000

ros-lunar-dwa-local-planner (1.11.9-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jun 2014 07:00:00 -0000

ros-lunar-dwa-local-planner (1.11.8-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 07:00:00 -0000

ros-lunar-dwa-local-planner (1.11.7-0xenial) xenial; urgency=high

  * update build to find eigen using cmake_modules
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 07:00:00 -0000

ros-lunar-dwa-local-planner (1.11.5-0xenial) xenial; urgency=high

  * Fix for #5 <https://github.com/ros-planning/navigation/issues/5>
  * Parameter to sum scores in DWA Planner
  * Keep consistent allignment_cost scale
    Use the configured alignment cost instead of resetting to 1.0. This
    condition (farther from goal than forward_point_distance) is probably
    met at the start of navigation, it seems this cost should be obeyed
    until the robot gets close, then ignored completely.
  * Cheat factor for end of DWA Plans
  * Change maintainer from Hersh to Lu

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 30 Jan 2014 08:00:00 -0000

ros-lunar-dwa-local-planner (1.11.4-0xenial) xenial; urgency=high

  * Package URL Updates
  * Changed new Odom-Helper::initialize() function to setOdomTopic().
  * some more corrections for the pointcloud object bug

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 27 Sep 2013 07:00:00 -0000

=== debian/control ===
Source: ros-lunar-dwa-local-planner
Section: misc
Priority: extra
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libpcl-dev, ros-lunar-base-local-planner, ros-lunar-catkin, ros-lunar-cmake-modules, ros-lunar-costmap-2d, ros-lunar-dynamic-reconfigure, ros-lunar-nav-core, ros-lunar-nav-msgs, ros-lunar-pcl-conversions, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-tf
Homepage: http://wiki.ros.org/dwa_local_planner
Standards-Version: 3.9.2

Package: ros-lunar-dwa-local-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libpcl-dev, ros-lunar-base-local-planner, ros-lunar-costmap-2d, ros-lunar-dynamic-reconfigure, ros-lunar-nav-core, ros-lunar-nav-msgs, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-tf
Description: This package provides an implementation of the Dynamic Window Approach to local robot navigation on a plane.
 Given a global plan to follow and a costmap, the local planner produces velocity commands to send to a mobile base. This package supports any robot who's footprint can be represented as a convex polygon or cicrle, and exposes its configuration as ROS parameters that can be set in a launch file. The parameters for this planner are also dynamically reconfigurable. This package's ROS wrapper adheres to the BaseLocalPlanner interface specified in the nav_core package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-dwa-local-planner//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
